<template>
	<component :is="element" v-if="element === 'nuxt-link'" v-bind="props" @click.native="$emit('click')">
		<slot />
	</component>
	<component :is="element" v-else v-bind="props" @click="$emit('click')">
		<slot />
	</component>
</template>

<script>
export default {
	props: {
		element: {
			type: String,
			default: 'a',
		},

		props: {
			type: Object,
			default: () => ({}),
		},
	},
};
</script>
